import 'package:flutter/material.dart';


class GetMedecineDetailsModel {
  String name = '';
  String manufacturers = '';
  String salt_composition = '';
  String mrp='';
  String primary_use='';


  String bs64str='';
  String picture='';
  Map<String,dynamic> picture1={};
  Color text_color=Colors.black;



  GetMedecineDetailsModel();

  factory GetMedecineDetailsModel.fromJson(Map<String, dynamic> json){
    GetMedecineDetailsModel rtvm = new GetMedecineDetailsModel();

    rtvm.name = json['name'] ?? '';
    rtvm.manufacturers = json['manufacturers'].toString() ?? '';
    rtvm.salt_composition = json['salt_composition'].toString() ?? '';
    rtvm.mrp = json['mrp'].toString() ?? '';
    rtvm.primary_use = json['primary_use'] ??'';
    rtvm.picture = json['picture'] ?? '';

    return rtvm;
  }

}